%global momorel 4
%global ver 3.02

Summary: integrit -- file verification system
Name: integrit
Version: %{ver}.00
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
Source: http://dl.sourceforge.net/sourceforge/integrit/integrit-%{version}.tar.gz
NoSource: 0
URL: http://integrit.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root/
Patch0: integrit-%{ver}.00-ppc.patch

%description
integrit is an alternative to file integrity verification programs like
tripwire and aide.  It helps you determine whether an intruder has
modified a computer system.

%prep

%setup -q -n %{name}-%{ver}

%ifarch ppc
%patch0 -p1 -b .ppc
%endif

%build
./configure --prefix=%{buildroot}%{_prefix} --mandir=%{buildroot}%{_mandir} \
  --infodir=%{buildroot}%{_infodir}
make CFLAGS="%{optflags}" integrit utils

%install
rm -rf %{buildroot}
make install
chmod -x examples/*
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
  /sbin/install-info %{_infodir}/integrit.info.* %{_infodir}/dir
fi
echo
echo "It is recommended that the binary be copied to a secure location and"
echo "  re-copied to %{_prefix}/sbin at runtime or run directly"
echo "  from the secure medium."
echo

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/integrit.info.* %{_infodir}/dir
fi

%files 
%defattr(-,root,root)
%doc Changes HACKING LICENSE README examples
%{_sbindir}/*
%{_bindir}/*
%{_infodir}/integrit*
%{_mandir}/man*/*

%changelog
* Mon Sep 26 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.02.0-4m)
- telia -> jaist

* Fri Jan 28 2005 mutecat <mutecat@momonga-linux.org>
- (3.02.00-3m)
- add integrit-3.02.00-ppc.patch

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (3.02.00-2m)
- revised spec for enabling rpm 4.2.

* Tue Sep 10 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.02.00)
- minor feature enhancements

* Sat Jul 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.01.03-1m)
- minor feature enhancements
- add 'CFLAGS=%{optflags}'

* Sun Mar  3 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.00.05-0.0002k)
- 3.00.05-beta
